<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
$string['allusers'] = ' All Users';
$string['pluginname'] = 'WCLN Progress Report';
$string['sendadmin'] = 'Admin Email';
$string['cansend'] = "Allows users to send email through WCLN email";
$string['canconfig'] = "Allows users to configure WCLN email instance.";
$string['canimpersonate'] = "Allows users to log in as other users and view history.";
$string['allowalternate'] = "Allows users to add an alternate email for courses.";
$string['addinstance'] = "Add a new WCLN progress block to a course page";
$string['myaddinstance'] = "Add a new WCLN progress block to the /my page";
$string['candelete'] = "Allows users to delete email from history.";
$string['backup_history'] = 'Include WCLN email History';
$string['overwrite_history'] = 'Overwrite WCLN Progress History';
$string['alternate'] = 'Alternate Emails';
$string['eventalternateemailadded'] = 'Alternate email added';
$string['composenew'] = 'Compose New Email';
$string['email'] = 'Email';
$string['help'] = 'Help';
$string['helplink'] = ' http://bclearningnetwork.com/mod/page/view.php?id=114566';
$string['history'] = 'View History';
$string['log'] = 'View History';
$string['from'] = 'From';
$string['selected'] = 'Selected Recipients';
$string['add_button'] = 'Add';
$string['remove_button'] = 'Remove';
$string['add_all'] = 'Add All';
$string['remove_all'] = 'Remove All';
$string['role_filter'] = 'Role Filter';
$string['no_filter'] = 'No filter';
$string['potential_users'] = 'Potential Recipients';
$string['potential_sections'] = 'Potential Groups';
$string['no_section'] = 'Not in a group';
$string['all_sections'] = 'All Groups';
$string['attachment'] = 'Attachment(s)';
$string['subject'] = 'Subject';
$string['message'] = 'Message';
$string['send_email'] = 'Send Email';
$string['save_draft'] = 'Save Draft';
$string['actions'] = 'Actions';
$string['delete_confirm'] = 'Are you sure you want to delete message with the following details: {$a}';
$string['title'] = 'Title';
$string['default_flag'] = 'Default';
$string['downloads'] = 'Require login for attachments';
$string['downloads_desc'] = 'This setting determines if attachments are available only to logged in Moodle users';
$string['download_auth_only'] = 'Authorized Users Only';
$string['download_open'] = 'Open Downloads';
$string['receipt'] = 'Receive a copy';
$string['messenger'] = 'Log this in Moodle messenger';

$string['receipt_help'] = 'Receive a copy of the email being sent';
$string['progress'] = 'Include Progress Report';
$string['progress_help'] = 'Include the progress report';

$string['no_alternates'] = 'No alternate emails found for {$a->fullname}. Continue to make one.';

$string['select_users'] = 'Select Users ...';
$string['select_groups'] = 'Select Sections ...';

$string['moodle_attachments'] = 'Moodle Attachments ({$a})';
$string['download_all'] = 'Download All';
$string['qm_contents'] = 'Download File Contents';

// Config form strings.
$string['allowstudents'] = 'Allow students to use WCLN Progress Report';
$string['allowstudentsdesc'] = 'Allow students to use WCLN Progress Report. If you choose "Never", the block cannot be configured to allow students access at the course level.';

$string['select_roles'] = 'Roles to filter by';
$string['reset'] = 'Restore System Defaults';

$string['no_type'] = '{$a} is not in the acceptable type viewer. Please use the applciation correctly.';
$string['no_email'] = 'Could not email {$a->firstname} {$a->lastname}.';
$string['no_email_address'] = 'Could not email {$a}';
$string['no_log'] = 'You have no email history yet.';
$string['no_subject'] = 'You must have a subject';
$string['no_course'] = 'Invalid Course with id of {$a}';
$string['no_permission'] = 'You do not have permission to send emails with WCLN Progress Report.';
$string['no_usergroups'] = 'There are no users in your group capable of being emailed.';
$string['no_users'] = 'There are no users you are capable of emailing.';
$string['no_selected'] = 'You must select some users for emailing.';
$string['not_valid'] = 'This is not a valid email log viewer type: {$a}';
$string['not_valid_user'] = 'You can not view other email history.';
$string['not_valid_action'] = 'You must provide a valid action: {$a}';
$string['not_valid_typeid'] = 'You must provide a valid email for {$a}';
$string['delete_failed'] = 'Failed to delete email';
$string['required'] = 'Please fill in the required fields.';
$string['prepend_class'] = 'Prepend Course name';
$string['prepend_class_desc'] = 'Prepend the course shortname to the subject of
the email.';
$string['ferpa'] = 'FERPA Mode';
$string['ferpa_desc'] = 'Allows the system to behave either according to the course groupmode setting, ignoring the groupmode setting but separating groups, or ignoring groups altogether.';
$string['strictferpa'] = 'Always Separate Groups';
$string['courseferpa'] = 'Respect Course Mode';
$string['noferpa'] = 'No Group Respect';
$string['courselayout'] = 'Course Layout';
$string['courselayout_desc'] = 'Use _Course_ page layout  when rendering the WCLN Progress Report block pages. Enable this setting, if you are getting Moodle form fixed width issues.';
$string['addionalemail'] = 'Allow emails to external email addresses';
$string['addionalemail_desc'] = 'If this option is enabled WCLN Progress Report emails are also sent so external email adresses the user entered within the form.';

$string['are_you_sure'] = 'Are you sure you want to delete {$a->title}? This action
cannot be reversed.';

// Alternate Email strings.
$string['alternate_new'] = 'Add Alternate Address';
$string['sure'] = 'Are you sure you want to delete {$a->address}? This action cannot be undone.';
$string['valid'] = 'Activation Status';
$string['approved'] = 'Approved';
$string['waiting'] = 'Waiting';
$string['entry_activated'] = 'Alternate email {$a->address} can now be used in {$a->course}.';
$string['entry_key_not_valid'] = 'Activation link is no longer valid for {$a->address}. Continue to resend activation link.';
$string['entry_saved'] = 'Alternate address {$a->address} has been saved.';
$string['entry_success'] = 'An email to verify that the address is valid has been sent to {$a->address}. Instructions on how to activate the address is contained in its contents.';
$string['entry_failure'] = 'An email could not be sent to {$a->address}. Please verify that {$a->address} exists, and try again.';
$string['alternate_from'] = 'Moodle: Progress Report';
$string['alternate_subject'] = 'Alternate email address verification';
$string['alternate_body'] = '
<p>
{$a->fullname} added {$a->address} as an alternate sending address for {$a->course}.
</p>

<p>
The purpose of this email was to verify that this address exists, and the owner
of this address has the appropriate permissions in Moodle.
</p>

<p>
If you wish to complete the verification process, please continue by directing
your browser to the following url: {$a->url}.
</p>

<p>
If the description of this email does not make any sense to you, then you may have
received it by mistake. Simply discard this message.
</p>

Thank you.
';
// Strings for Error Reporting.
$string['sent_success'] = 'all messages sent successfully';
$string['logsuccess'] = 'all messages sent successfully';
$string['message_failure'] = 'some users did not get message';
$string['send_again'] = 'send again';
$string['status'] = 'status';
$string['failed_to_send_to'] = 'failed to send to';
$string['users'] = 'users';
$string['user'] = 'user';
// Admin.
$string['sendadmin'] = 'Send Admin Email';
$string['noreply'] = 'No-Reply';
$string['body'] = 'Body';
$string['email_error'] = 'Could not email: {$a->firstname} {$a->lastname} ({$a->email})';
$string['email_error_field'] = 'Can not have an empty: {$a}';
$string['messageprovider:broadcast'] = 'Send broadcast messages using Admin Email.';
$string['message_sent_to'] = 'Message sent to ';
$string['warnings'] = 'Warnings';
$string['message_body_as_follows'] = 'message body as follows ';
$string['sent_successfully_to_the_following_users'] = 'sent successfully to the following users: ';
$string['seconds'] = 'seconds';
$string['admin_email_send_receipt'] = 'Admin Email Send Receipt';
$string['something_broke'] = 'It looks like you either have email sending disabled or things are very broken';
$string['time_elapsed'] = 'Time Elapsed: ';
$string['additional_emails'] = 'Additional Emails';
$string['additional_emails_help'] = 'Other email addresses you would like the message sent to, in a comma or semicolon separated list. Example:

 email1@example.com, email2@example.com
 ';
$string['selectmessage'] = 'Select recipients using SHIFT and/or CTRL keys';
$string['coursegroups'] = 'Groups in the course';
$string['nogroups'] = 'No groups in the course';
$string['nogroup'] = 'No group';
$string['lasttime'] = 'Last time in course:';
$string['day'] = ' day(s) ago';
$string['cgrade'] = 'Current Grade in Course:';
$string['percentcomp'] = 'Portion of Course Completed:';
$string['teacher'] = 'Select teachers to be included on report';
$string['custom1'] = 'Contact1:';
$string['custom2'] = 'Contact2:';
$string['custom3'] = 'Contact3:';
$string['custom1help'] = 'Select the first field used to store contact email';
$string['custom2help'] = 'Select the second field used to store contact email';
$string['custom3help'] = 'Select the third field used to store contact email';
$string['groupsdescription'] = 'Use groups';
